Subject: Tucson 1996

From: [email-masked] (John Patrick)
Date: 26 May 1995 02:18:42 GMT

It has been proposed by more than one person that we try to set up an
annual get-together at the Tucson show every year. This would be for
those interested in the Earth Sciences  in any phase, and being on the
Internet.

I would like to hear from interested parties as far as suggestions for
a meeting place are concerned, keeping in mind that space is scarce and
expensive if there are to be numbers in the hundreds.

Having 25 years experiance in managing s show at Tucson for Gem Shows
Inc. I might be of some use.

John Patrick,
[email-masked]